Ruby script/console -- Errno:ENOENT

I’m trying to load the console of any of the projects on my development
machine.

bash$ ruby script/console
Loading development environment.
/usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/console.rb:25:in
exec': No such file or directory - irb -r irb/completion -r script/../config/../config/environment -r console_app -r console_with_helpers --simple-prompt (Errno::ENOENT) from /usr/lib/ruby/gems/1.8/gems/rails-1.1.6/lib/commands/console.rb:25 from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
/usr/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
`require’
from script/console:3
Any ideas would be much appreciated.

Thanks

Alright, Solved the problem. Apparently irb wasn’t linked properly in
Ubuntu Dapper. I resolved the problem by doing a:
sudo ln -s /usr/bin/irb1.8 /usr/bin/irb

Hope this can help someone else in the future :slight_smile:

Jesse Bain wrote:

Alright, Solved the problem. Apparently irb wasn’t linked properly in
Ubuntu Dapper. I resolved the problem by doing a:
sudo ln -s /usr/bin/irb1.8 /usr/bin/irb

Hope this can help someone else in the future :slight_smile:

Well done! Thank you for taking the time to answer back on your original
post. This helped me out and saved me a lot of time. Thanks again.
I wonder if there is a buglist for this in launchpad or something? I
will look into it.

Landy Defield wrote:

Well done! Thank you for taking the time to answer back on your original
post. This helped me out and saved me a lot of time. Thanks again.
I wonder if there is a buglist for this in launchpad or something? I
will look into it.

Me again… I was running into this problem on a new Ubuntu Feisty
install and spent a few minutes looking through Google to figure out why
I was getting this error. Stumbled across this topic having completely
forgotten about it. Makes me glad I wrote it down somewhere :slight_smile:

Jesse Bain wrote:

Alright, Solved the problem. Apparently irb wasn’t linked properly in
Ubuntu Dapper. I resolved the problem by doing a:
sudo ln -s /usr/bin/irb1.8 /usr/bin/irb

Hope this can help someone else in the future :slight_smile:

Thanks for the tip! I had the same problem with Edgy. My console is
working great now.

Thank you!

Fixed my problem in Edgy.

Thanx a lot for the solution, i faced the same problem, and u saved me a
lot of time.

Jesse Bain wrote:

Alright, Solved the problem. Apparently irb wasn’t linked properly in
Ubuntu Dapper. I resolved the problem by doing a:
sudo ln -s /usr/bin/irb1.8 /usr/bin/irb

Hope this can help someone else in the future :slight_smile:

You hero. Thanks so much for posting this. Used it on Edgy Eft Ubuntu.
Let’s make it known…

Yet Another Thanks!

I am running a fresh install of Debian 4.0 Etch (stable). Why is this
problem still around…? :slight_smile:

helped here too.
etch
still around…

Very helpful. Many thanks for posting this! :slight_smile:

In case anyone was wondering, this problems occurs if you install irb1.8
and NOT the irb dependency package. If you have already installed
irb1.8, just do an “apt-get install irb” and the problem should be
fixed.

Jesse Bain wrote:

Alright, Solved the problem. Apparently irb wasn’t linked properly in
Ubuntu Dapper. I resolved the problem by doing a:
sudo ln -s /usr/bin/irb1.8 /usr/bin/irb

Hope this can help someone else in the future :slight_smile:

it does ! :slight_smile:
(ubuntu 7.4 - feisty)

thanks a lot [smiley holding a flower]

This just now helped me, so I thought I’d keep it alive.

It would be nice, though, if the Ubuntu team would get their crap
together. There is no excuse for the sorry state of ruby/rails on
Feisty (or earlier versions, for that matter).

This also just saved me a bit of researching - thanks Jesse!

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs